Name: be2iscsi
Version: 4.1.334.39
Release: 1
Group: System Environment/Kernel
Vendor: Emulex Corporation
URL: http://www.Emulex.com
Packager: Emulex Corporation
License: GPL
Source: %{name}-%{version}.tar.gz
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}
Summary: Emulex OneConnect iSCSI Driver

%define debug_package %{nil}

%define suse %{!?suse_kernel_module_package:0}%{?suse_kernel_module_package:1}

%if %{suse}
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}

%ifarch x86_64
%{suse_kernel_module_package -x default smp kdump xen}
%else
%{suse_kernel_module_package -x default smp bigsmp pae kdump xen xenpae}
%endif

%else
BuildRequires: %kernel_module_package_buildreqs
%{kernel_module_package}
%endif

%description
This package contains the Linux driver for the iSCSI function of Emulex OneConnect 

%package KMP
Summary: iSCSI driver for Emulex OneConnect
Group: System/kernel

%description KMP
This package contains the Linux driver for the iSCSI function of Emulex OneConnect

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        export SRC=$PWD/obj/$flavor
        make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
	strip --strip-unneeded $PWD/obj/$flavor/be2iscsi.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
%if %suse
export INSTALL_MOD_DIR=updates/be2iscsi
%else
export INSTALL_MOD_DIR=extra/be2iscsi
%endif

for flavor in %flavors_to_build; do
        make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
done


%clean
rm -rf %{buildroot}

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog
